
package com.tmerclub.cloud.supplier.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 供应商审核信息
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
public class SupplierAuditing extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 供应商审核id
     */
    private Long supplierAuditingId;

    /**
     * 申请人id
     */
    private Long userId;

    /**
     * 供应商ID
     */
    private Long supplierId;

    /**
     * 审核人id
     */
    private Long auditorId;

    /**
     * 0 未审核 1已通过 -1未通过
     */
    private Integer status;

    /**
     * 备注
     */
    private String remarks;

    public Long getSupplierAuditingId() {
        return supplierAuditingId;
    }

    public void setSupplierAuditingId(Long supplierAuditingId) {
        this.supplierAuditingId = supplierAuditingId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "SupplierAuditing{" +
                "supplierAuditingId=" + supplierAuditingId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",userId=" + userId +
                ",supplierId=" + supplierId +
                ",auditorId=" + auditorId +
                ",status=" + status +
                ",remarks=" + remarks +
                '}';
    }
}
